> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rc.cleverhub.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payin’s Required Fields

> Certain payment methods may require information to be collected from consumers. This API will provide all parameters potentially needed for a specific payin method. The returned parameters may be either optional or mandatory.



## OpenAPI

````yaml /api/openapi/v2-reference.yaml get /v2/payins/payin_method/params
openapi: 3.0.2
info:
  title: Multi-currency Payment APIs
  description: >-
    ## Introduction

    The Multi-currency Payment API Solution provides developers with a unified
    API schema to support multiple currencies efficiently. These APIs enable
    seamless transactions for both payin and payout operations, ensuring a
    robust, reliable, and scalable payment infrastructure for businesses dealing
    with various currencies.

    ### Key Features

    - **Single API Schema**: A single schema supports all currencies in your
    account, simplifying integration and management.

    - **Payin and Payout Process**:
      - **Step 1**: Call the **Get payin method list** to retrieve the list of supported methods.
      - **Step 2**: Call the **Get payin required fields** to get specific required fields for each method.
      - **Step 3**: Create the payment using the method and required fields from the previous step.
      - **Step 4**: On the sandbox environment, you can call the **Simulate payin** to simulate the payment.

    <div class="gst-note-red">
      Please note: GST should only be set to <code>true</code> for AU Merchants for <b>AUD</b> currency only. For all other currencies, set GST to <code>false</code>.
    </div>

    This documentation provides detailed guidance for integrating these
    capabilities into your application.
  version: 2.0.0
  termsOfService: https://helloclever.co/terms
  contact:
    email: support@helloclever.co
servers:
  - url: https://api.cleverhub.co/api
    description: Sandbox Environment
  - url: https://api-merchant.helloclever.co/api
    description: Production Environment
security:
  - app-id: []
    secret-key: []
paths:
  /v2/payins/payin_method/params:
    get:
      tags:
        - Payin Methods
      summary: Get Payin’s Required Fields
      description: >-
        Certain payment methods may require information to be collected from
        consumers. This API will provide all parameters potentially needed for a
        specific payin method. The returned parameters may be either optional or
        mandatory.
      parameters:
        - name: payin_method_name
          in: query
          required: true
          schema:
            type: string
          description: Payin Method Name (For e.g. ph_bank_maya_php)
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  record:
                    type: object
                    required:
                      - currency
                      - payin_method_name
                      - description
                      - payment_type
                      - payin_method_params
                      - banks
                      - min_amount
                      - max_amount
                    properties:
                      currency:
                        type: string
                        description: Currency Code (ISO 4217, 3-char alphabetic code).
                      symbol:
                        type: string
                        description: Currency symbol.
                      logo:
                        type: string
                        description: Bank or e-wallet logo.
                      payin_method_name:
                        type: string
                        description: Payin method name.
                      description:
                        type: string
                        description: Description payin method.
                      payin_method_params:
                        type: object
                        description: >-
                          Parameters needed for using a payin method. Each payin
                          method may have different parameters, which can be
                          either mandatory or optional.
                      payment_type:
                        type: string
                        description: Type of payment, incoming or outgoing.
                      is_refundable:
                        type: boolean
                        description: Refundable or not.
                      min_amount:
                        type: number
                        description: The minimum allowable amount.
                      max_amount:
                        type: number
                        description: The maximum allowable amount.
              examples:
                AUD PayID NPP:
                  summary: AUD PayID NPP
                  value:
                    record:
                      currency: AUD
                      symbol: $
                      logo: ''
                      payin_method_name: au_payid_npp_aud
                      description: New Payments Platform (NPP)
                      payin_method_params:
                        callback_url: string:Mandatory callback URL
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: true
                      require_kyc: false
                      min_amount: 20
                      max_amount: 10000
                PHP Bank Maya:
                  summary: PHP Bank Maya
                  value:
                    record:
                      currency: PHP
                      symbol: ₱
                      logo: ''
                      payin_method_name: ph_bank_maya_php
                      description: MAYA
                      payin_method_params:
                        user_id: string:Optional user ID from the merchant system
                        product_name: string:Optional product names from the merchant system
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 200
                      max_amount: 50000
                PHP GCash eWallet:
                  summary: PHP GCash eWallet
                  value:
                    record:
                      currency: PHP
                      symbol: ₱
                      logo: ''
                      payin_method_name: ph_ewallet_gcash_php
                      description: GCASH
                      payin_method_params:
                        user_id: string:Optional user ID from the merchant system
                        product_name: string:Optional product names from the merchant system
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 200
                      max_amount: 50000
                PHP Bank Transfer:
                  summary: PHP Bank Transfer
                  value:
                    record:
                      currency: PHP
                      symbol: ₱
                      logo: ''
                      payin_method_name: ph_bank_php
                      description: Bank Transfer
                      payin_method_params:
                        callback_url: string:Mandatory
                        bank_code: >-
                          string:Mandatory
                          Enum(bdo,bpi,landbank,metrobank,qrph,ubp)
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: true
                      require_kyc: false
                      min_amount: 200
                      max_amount: 200000
                PHP QR Ph:
                  summary: PHP QR Ph
                  value:
                    record:
                      currency: PHP
                      symbol: ₱
                      logo: ''
                      payin_method_name: ph_qrph_php
                      description: QR Ph
                      payin_method_params:
                        user_id: string:Optional user ID from the merchant system
                        product_name: string:Optional product names from the merchant system
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 200
                      max_amount: 50000
                IDR Bank QRIS:
                  summary: IDR Bank QRIS
                  value:
                    record:
                      currency: IDR
                      symbol: Rp
                      logo: ''
                      payin_method_name: id_bank_qris_idr
                      description: Quick Response Code Indonesian Standard
                      payin_method_params:
                        callback_url: >-
                          string:Optional redirect URL for the payment gateway
                          to redirect to after payment
                        user_id: string:Optional user ID from the merchant system
                        account_name: string:Optional account name from the merchant system
                        product_name: string:Optional product names from the merchant system
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 100000
                      max_amount: 10000000
                IDR DANA eWallet:
                  summary: IDR DANA eWallet
                  value:
                    record:
                      currency: IDR
                      symbol: Rp
                      logo: ''
                      payin_method_name: id_ewallet_dana_idr
                      description: DANA
                      payin_method_params:
                        callback_url: string:Mandatory
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 1
                      max_amount: 10000000
                VND Other Viet QR:
                  summary: VND Viet QR
                  value:
                    record:
                      currency: VND
                      symbol: ₫
                      logo: ''
                      payin_method_name: vn_other_vietqr_vnd
                      description: VietQR
                      payin_method_params:
                        user_id: string:Optional user ID from the merchant system
                        account_name: string:Optional account name from the merchant system
                        product_name: string:Optional product names from the merchant system
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 100000
                      max_amount: 5000000000
                VND Viet QR:
                  summary: VND Viet QR
                  value:
                    record:
                      currency: VND
                      symbol: ₫
                      logo: ''
                      payin_method_name: vn_vietqr_vnd
                      description: VietQR V2
                      payin_method_params:
                        ip_address: string:Mandatory Ip address of customer
                        phone: string:Mandatory Phone number of customer
                      payment_type: pay_in
                      is_refundable: true
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 10000
                      max_amount: 300000000
                VND Momo eWallet:
                  summary: VND Momo eWallet
                  value:
                    record:
                      currency: VND
                      symbol: ₫
                      logo: ''
                      payin_method_name: vn_ewallet_momo_vnd
                      description: MOMO
                      payin_method_params:
                        user_id: string:Optional user ID from the merchant system
                        account_name: string:Optional account name from the merchant system
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 100000
                      max_amount: 50000000
                MYR Bank Duitnow:
                  summary: MYR Bank Duitnow
                  value:
                    record:
                      currency: MYR
                      symbol: RM
                      logo: ''
                      payin_method_name: my_bank_duitnow_myr
                      description: >-
                        Simple and convenient way of transferring money using
                        easy-to-remember DuitNow IDs such as mobile number and
                        NRIC number.
                      payin_method_params:
                        user_id: string:Optional user ID from the merchant system
                        account_name: string:Mandatory DuitNow Name
                        product_name: string:Optional product names from the merchant system
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 500
                      max_amount: 50000
                MYR Bank FPX:
                  summary: MYR Bank FPX
                  value:
                    record:
                      currency: MYR
                      symbol: RM
                      logo: ''
                      payin_method_name: my_bank_fpx_myr
                      description: FPX Banking.
                      payin_method_params:
                        bank_type: >-
                          string:Mandatory '01' retail banking or '02' corporate
                          banking
                        bank_code: string:Mandatory recipient's bank code
                        callback_url: string:Mandatory
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 500
                      max_amount: 50000
                MYR Bank Transfer:
                  summary: MYR Bank Transfer
                  value:
                    record:
                      currency: MYR
                      symbol: RM
                      logo: ''
                      payin_method_name: my_bank_myr
                      description: Bank Transfer.
                      payin_method_params:
                        callback_url: string:Mandatory
                        bank_code: string:Optional recipient's bank code
                      banks:
                        - code: CIBBMYKL
                          name: CIMB Bank Berhad
                          short_name: null
                        - code: HLBMB2KL
                          name: Hong Leong Bank Berhad
                          short_name: null
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 10
                      max_amount: 5000
                MYR Boost eWallet:
                  summary: MYR Boost eWallet
                  value:
                    record:
                      currency: MYR
                      symbol: RM
                      logo: ''
                      payin_method_name: my_ewallet_boost_myr
                      description: Boost eWallet.
                      payin_method_params:
                        callback_url: string:Mandatory
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 5
                      max_amount: 100000000
                MYR ShopeePay eWallet:
                  summary: MYR ShopeePay eWallet
                  value:
                    record:
                      currency: MYR
                      symbol: RM
                      logo: ''
                      payin_method_name: my_ewallet_shopeepay_myr
                      description: ShopeePay eWallet.
                      payin_method_params:
                        callback_url: string:Mandatory
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 5
                      max_amount: 100000000
                MYR Touch 'n Go eWallet:
                  summary: MYR Touch 'n Go eWallet
                  value:
                    record:
                      currency: MYR
                      symbol: RM
                      logo: ''
                      payin_method_name: my_ewallet_touchngo_myr
                      description: Touch 'n Go eWallet.
                      payin_method_params:
                        callback_url: string:Mandatory
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 5
                      max_amount: 100000000
                MYR GrabPay eWallet:
                  summary: MYR GrabPay eWallet
                  value:
                    record:
                      currency: MYR
                      symbol: RM
                      logo: ''
                      payin_method_name: my_ewallet_grabpay_myr
                      description: GrabPay eWallet.
                      payin_method_params:
                        callback_url: string:Mandatory
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 5
                      max_amount: 100000000
                JPY Bank Transfer:
                  summary: JPY Bank Transfer
                  value:
                    record:
                      currency: JPY
                      symbol: ¥
                      logo: ''
                      payin_method_name: jp_bank_jpy
                      description: Bank Transfer
                      payin_method_params:
                        user_id: string:Mandatory the unique ID of the customer
                        ip_address: string:Mandatory customer device IP
                        first_name: string:Mandatory
                        last_name: string:Mandatory
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 1
                      max_amount: 1000000
                USDC Bank:
                  summary: USDC Bank
                  value:
                    record:
                      currency: USDC
                      symbol: USDC
                      logo: ''
                      payin_method_name: usdc_bank
                      description: Bank Transfer
                      payin_method_params:
                        original_currency: >-
                          string:Mandatory Enum(USD, GBP, EUR) - input specific
                          original currency and combine with original amount
                        original_amount: >-
                          number:Mandatory - input specific original amount, the
                          system uses this field to payin
                        callback_url: string:Mandatory
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 1
                      max_amount: 9999999
                Interac CAD:
                  summary: Interac CAD
                  value:
                    record:
                      currency: CAD
                      symbol: CAD
                      logo: ''
                      payin_method_name: ca_interac_cad
                      description: Interac e-Transfer
                      payin_method_params:
                        callback_url: string:Mandatory
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: true
                      require_kyc: true
                      min_amount: 34
                      max_amount: 50000
                NGN Bank Transfer:
                  summary: NGN Bank Transfer
                  value:
                    record:
                      currency: NGN
                      symbol: ₦
                      logo: ''
                      payin_method_name: ng_bank_ngn
                      description: Bank Transfer
                      payin_method_params: {}
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 100
                      max_amount: 1000000
                KES Mobile Money:
                  summary: KES Mobile Money
                  value:
                    record:
                      currency: KES
                      symbol: KSh
                      logo: ''
                      payin_method_name: ke_mobile_money_kes
                      description: Mobile Money
                      payin_method_params:
                        account_number: string:Mandatory mobile money account number
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 10
                      max_amount: 50000
                GHS Mobile Money:
                  summary: GHS Mobile Money
                  value:
                    record:
                      currency: GHS
                      symbol: GH₵
                      logo: ''
                      payin_method_name: gh_mobile_money_ghs
                      description: Mobile Money
                      payin_method_params:
                        account_number: string:Mandatory mobile money account number
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 10
                      max_amount: 5000
                ZAR Instant EFT:
                  summary: ZAR Instant EFT
                  value:
                    record:
                      currency: ZAR
                      symbol: R
                      logo: ''
                      payin_method_name: sa_eft_zar
                      description: Bank Transfer
                      payin_method_params:
                        bank_code: string:Mandatory bank code for the charge
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 2
                      max_amount: 500000
                XAF Mobile Money:
                  summary: XAF Mobile Money
                  value:
                    record:
                      currency: XAF
                      symbol: FCFA
                      logo: ''
                      payin_method_name: cm_mobile_money_xaf
                      description: Mobile Money
                      payin_method_params:
                        account_number: string:Mandatory mobile money account number
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 500
                      max_amount: 500000
                XOF Mobile Money:
                  summary: XOF Mobile Money
                  value:
                    record:
                      currency: XOF
                      symbol: CFA
                      logo: ''
                      payin_method_name: ci_mobile_money_xof
                      description: Mobile Money
                      payin_method_params:
                        account_number: string:Mandatory mobile money account number
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 500
                      max_amount: 500000
                BRL PIX:
                  summary: BRL PIX
                  value:
                    record:
                      currency: BRL
                      symbol: R$
                      logo: ''
                      payin_method_name: br_pix_brl
                      description: PIX
                      payin_method_params:
                        callback_url: string:Mandatory
                        document_type: string:Mandatory Enum(CPF, CNPJ)
                        document_number: string:Mandatory Regex:/^\d{11,14}$/
                        crypto_ticker: >-
                          string:Optional Crypto ticker of the above specified
                          wallet address. Example: USDC, USDT, BTC...
                        crypto_wallet_address: >-
                          string:Optional The wallet dddress corresponding to
                          the specified crypto ticker
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 1
                      max_amount: 15000
                THB ThaiQR:
                  summary: THB ThaiQR
                  value:
                    record:
                      currency: THB
                      symbol: ฿
                      logo: ''
                      payin_method_name: th_qrpay_thb
                      description: QR Pay
                      payin_method_params:
                        description: string:Mandatory Description for the payment
                        ip_address: string:Mandatory Ip address of customer
                        phone: string:Mandatory Phone number of customer
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 100
                      max_amount: 2000000
                KRW Bank Transfer:
                  summary: KRW Bank Transfer
                  value:
                    record:
                      currency: KRW
                      symbol: ₩
                      logo: ''
                      payin_method_name: kr_bank_krw
                      description: Bank Transfer
                      payin_method_params:
                        user_name: string:Mandatory the name of the user
                        payment_reason: >-
                          string:Optional Enum(E_COMMERCE, SALES_OF_GOODS,
                          SALES_OF_SERVICES, TUITION_PAYMENT, TRAVEL_EXPENSES,
                          UTILITY_PAYMENT, RENT_OR_MORTGAGE_PAYMENT,
                          MEDICAL_PAYMENT, MEDICAL_INSURANCE_PAYMENT,
                          ENTERTAINMENT_PAYMENT, REFUND, PREFUNDING) Purpose of
                          the payment, default is E_COMMERCE
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 10000
                      max_amount: 10000000
                KRW Bank Transfer KYC:
                  summary: KRW Bank Transfer KYC
                  value:
                    record:
                      currency: KRW
                      symbol: ₩
                      logo: ''
                      payin_method_name: kr_bank_va_kyc_krw
                      description: Bank Transfer with KYC
                      payin_method_params:
                        account_number: string:Mandatory Bank Account Number
                        dob: >-
                          string:Mandatory Date of Birth in MM/DD/YYYY format
                          Regex:/^(0[1-9]|1[0-2])/(0[1-9]|[12][0-9]|3[01])/[0-9]{4}$/
                        bank_code: string:Mandatory Bank Code
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 10000
                      max_amount: 10000000
                INR UPI:
                  summary: INR UPI
                  value:
                    record:
                      currency: INR
                      symbol: ₹
                      logo: ''
                      payin_method_name: in_upi_inr
                      description: Unified Payments Interface (UPI)
                      payin_method_params:
                        upi_id: string:Mandatory UPI ID
                        first_name: string:Mandatory first name of the user
                        last_name: string:Mandatory last name of the user
                        phone: string:Mandatory phone number of the user
                        country: string:Mandatory ISO 3166-1 alpha-2 code
                        state: string:Mandatory State
                        address: string:Mandatory address of the user
                        city: string:Mandatory city of the user
                        postal_code: string:Mandatory Postal code of the user
                        email: string:Mandatory email address of the user
                        callback_url: string:Mandatory callback URL
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                ARS Bank Transfer:
                  summary: ARS Bank Transfer
                  value:
                    record:
                      currency: ARS
                      symbol: AR$
                      logo: ''
                      payin_method_name: ar_bank_ars
                      description: Bank Transfer
                      payin_method_params:
                        user_id: string:Mandatory
                        ip_address: string:Mandatory
                        first_name: string:Mandatory First Name
                        last_name: string:Mandatory Last Name
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 2000
                      max_amount: 500000
                ARS CVU:
                  summary: ARS CVU
                  value:
                    record:
                      currency: ARS
                      symbol: AR$
                      logo: ''
                      payin_method_name: ar_cvu_ars
                      description: CVU
                      payin_method_params:
                        first_name: string:Mandatory First Name minLength:2, maxLength:50
                        last_name: string:Mandatory Last Name minLength:2, maxLength:50
                        document_number: >-
                          string:Mandatory CUIL Number
                          Regex:/^(20|23|24|25|26|27|30|33|34)(-?\d{8}-?\d|\d{8}\d)$/
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 1500
                      max_amount: 13000000
                BWP Bank Transfer:
                  summary: BWP Bank Transfer
                  value:
                    record:
                      currency: BWP
                      symbol: P
                      logo: ''
                      payin_method_name: bw_bank_bwp
                      description: Bank Transfer
                      payin_method_params:
                        user_type: >-
                          string:Mandatory ENUM(individual, organization)
                          Specifies recipient validation type: organization
                          requires business_name and business_reg_no; individual
                          requires all other personal fields
                        first_name: string:Optional required if user_type is individual
                        last_name: string:Optional required if user_type is individual
                        address: string:Optional required if user_type is individual
                        dob: >-
                          string:Optional format MM/DD/YYYY required if
                          user_type is individual
                        document_number: string:Optional required if user_type is individual
                        document_type: string:Optional required if user_type is individual
                        phone: string:Optional required if user_type is individual
                        country: string:Optional required if user_type is individual
                        business_reg_no: string:Optional required if user_type is organization
                        business_name: string:Optional required if user_type is organization
                        bank_name: string:Mandatory
                        user_id: string:Mandatory Unique identifier for the user
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 0
                      max_amount: null
                BWP Mobile Money:
                  summary: BWP Mobile Money
                  value:
                    record:
                      currency: BWP
                      symbol: P
                      logo: ''
                      payin_method_name: bw_mobile_money_bwp
                      description: Mobile Money
                      payin_method_params:
                        user_type: >-
                          string:Mandatory ENUM(individual, organization)
                          Specifies recipient validation type: organization
                          requires business_name and business_reg_no; individual
                          requires all other personal fields
                        first_name: string:Optional required if user_type is individual
                        last_name: string:Optional required if user_type is individual
                        address: string:Optional required if user_type is individual
                        dob: >-
                          string:Optional format MM/DD/YYYY required if
                          user_type is individual
                        document_number: string:Optional required if user_type is individual
                        document_type: string:Optional required if user_type is individual
                        phone: string:Optional required if user_type is individual
                        country: string:Optional required if user_type is individual
                        business_reg_no: string:Optional required if user_type is organization
                        business_name: string:Optional required if user_type is organization
                        user_id: string:Mandatory Unique identifier for the user
                        account_number: >-
                          string:Mandatory is the mobile number within E.164
                          format associated with the mobile money account
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 0
                      max_amount: null
                KHR KHQR:
                  summary: KHR KHQR
                  value:
                    record:
                      currency: KHR
                      symbol: ៛
                      logo: ''
                      payin_method_name: kh_pay_khr
                      description: KHQR
                      payin_method_params:
                        callback_url: >-
                          string:Mandatory URL to redirect to after payment
                          success
                        failure_callback_url: >-
                          string:Mandatory URL to redirect to after payment
                          failure
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 0
                      max_amount: null
                MWK Mobile Money:
                  summary: MWK Mobile Money
                  value:
                    record:
                      currency: MWK
                      symbol: MW
                      logo: ''
                      payin_method_name: mw_mobile_money_mwk
                      description: Mobile Money
                      payin_method_params:
                        user_type: >-
                          string:Mandatory ENUM(individual, organization)
                          Specifies recipient validation type: organization
                          requires business_name and business_reg_no; individual
                          requires all other personal fields
                        first_name: string:Optional required if user_type is individual
                        last_name: string:Optional required if user_type is individual
                        address: string:Optional required if user_type is individual
                        dob: >-
                          string:Optional format MM/DD/YYYY required if
                          user_type is individual
                        document_number: string:Optional required if user_type is individual
                        document_type: string:Optional required if user_type is individual
                        phone: string:Optional required if user_type is individual
                        country: string:Optional required if user_type is individual
                        business_reg_no: string:Optional required if user_type is organization
                        business_name: string:Optional required if user_type is organization
                        user_id: string:Mandatory Unique identifier for the user
                        account_number: >-
                          string:Mandatory is the mobile number within E.164
                          format associated with the mobile money account
                        network_code: >-
                          string:Mandatory ENUM(tnm, airtel) specifies the
                          mobile money network
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 0
                      max_amount: null
                MWK Bank Transfer:
                  summary: MWK Bank Transfer
                  value:
                    record:
                      currency: MWK
                      symbol: MW
                      logo: ''
                      payin_method_name: mw_bank_mwk
                      description: Bank Transfer
                      payin_method_params:
                        user_type: >-
                          string:Mandatory ENUM(individual, organization)
                          Specifies recipient validation type: organization
                          requires business_name and business_reg_no; individual
                          requires all other personal fields
                        first_name: string:Optional required if user_type is individual
                        last_name: string:Optional required if user_type is individual
                        address: string:Optional required if user_type is individual
                        dob: >-
                          string:Optional format MM/DD/YYYY required if
                          user_type is individual
                        document_number: string:Optional required if user_type is individual
                        document_type: string:Optional required if user_type is individual
                        phone: string:Optional required if user_type is individual
                        country: string:Optional required if user_type is individual
                        business_reg_no: string:Optional required if user_type is organization
                        business_name: string:Optional required if user_type is organization
                        user_id: string:Mandatory Unique identifier for the user
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 0
                      max_amount: null
                TZS Bank Transfer:
                  summary: TZS Bank Transfer
                  value:
                    record:
                      currency: TZS
                      symbol: TSh
                      logo: ''
                      payin_method_name: tz_bank_tzs
                      description: Bank Transfer
                      payin_method_params:
                        user_type: >-
                          string:Mandatory ENUM(individual, organization)
                          Specifies recipient validation type: organization
                          requires business_name and business_reg_no; individual
                          requires all other personal fields
                        first_name: string:Optional required if user_type is individual
                        last_name: string:Optional required if user_type is individual
                        address: string:Optional required if user_type is individual
                        dob: >-
                          string:Optional format MM/DD/YYYY required if
                          user_type is individual
                        document_number: string:Optional required if user_type is individual
                        document_type: string:Optional required if user_type is individual
                        phone: string:Optional required if user_type is individual
                        country: string:Optional required if user_type is individual
                        business_reg_no: string:Optional required if user_type is organization
                        business_name: string:Optional required if user_type is organization
                        user_id: string:Mandatory Unique identifier for the user
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 0
                      max_amount: null
                USD KHQR:
                  summary: USD KHQR
                  value:
                    record:
                      currency: USD
                      symbol: $
                      logo: ''
                      payin_method_name: us_pay_usd
                      description: KHQR
                      payin_method_params:
                        callback_url: >-
                          string:Mandatory URL to redirect to after payment
                          success
                        failure_callback_url: >-
                          string:Mandatory URL to redirect to after payment
                          failure
                      payment_type: pay_in
                      is_refundable: false
                      is_cancellable: false
                      require_contact: false
                      require_kyc: false
                      min_amount: 0
                      max_amount: null
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
              example:
                errors:
                  code: REQUIRE_LOGIN
                  message: Not Authorised
components:
  securitySchemes:
    app-id:
      type: apiKey
      in: header
      name: app-id
      description: |
        A unique identifier assigned to each application.
    secret-key:
      type: apiKey
      in: header
      name: secret-key
      description: |
        A secure token associated with the `app-id`.

````

## Related topics

- [Multi-Currency Payin API Reference (v2)](/api/v2/payin.md)
- [Handle Multi-Currency Payins and Payouts](/developer-reference/api-use-cases/handle-multi-currency-payins-and-payouts.md)
- [Create a Payin](/api/payin/create-a-payin.md)
